Package org.eclipse.birt.chart.model.type

# Interface BarSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `BarSeriesImpl`

public interface BarSeries extends Series
A representation of the model object 'Bar Series'. This is a Series type that, during design time, holds the query data for Bar charts, and during run time, holds the value for each riser in the series. When rendered, a riser extends from the x-axis to the value of each data point.

The following features are supported:

- `Riser`
- `Riser Outline`

See Also:
  - `TypePackage.getBarSeries()`

## Method Summary

Modifier and Type
Method
Description
`BarSeries`
`copyInstance()`
`RiserType`
`getRiser()`
Returns the value of the 'Riser' attribute.
`ColorDefinition`
`getRiserOutline()`
Returns the value of the 'Riser Outline' containment reference.
`boolean`
`isSetRiser()`
Returns whether the value of the '`Riser`' attribute is set.
`void`
`setRiser(RiserType value)`
Sets the value of the '`Riser`' attribute.
`void`
`setRiserOutline(ColorDefinition value)`
Sets the value of the '`Riser Outline`' containment reference.
`void`
`unsetRiser()`
Unsets the value of the '`Riser`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getRiser

RiserType getRiser()
Returns the value of the 'Riser' attribute. The default value is `"Rectangle"`. The literals are from the enumeration `RiserType`. Specifies the 'Riser' to be used for displaying the data values in the chart.

Returns:
  the value of the 'Riser' attribute.
See Also:
  - `RiserType`
  - `isSetRiser()`
  - `unsetRiser()`
  - `setRiser(RiserType)`
  - `TypePackage.getBarSeries_Riser()`

### setRiser

void setRiser(RiserType value)
Sets the value of the '`Riser`' attribute.

Parameters:
  `value` - the new value of the 'Riser' attribute.
See Also:
  - `RiserType`
  - `isSetRiser()`
  - `unsetRiser()`
  - `getRiser()`

### unsetRiser

void unsetRiser()
Unsets the value of the '`Riser`' attribute.

See Also:
  - `isSetRiser()`
  - `getRiser()`
  - `setRiser(RiserType)`

### isSetRiser

boolean isSetRiser()
Returns whether the value of the '`Riser`' attribute is set.

Returns:
  whether the value of the 'Riser' attribute is set.
See Also:
  - `unsetRiser()`
  - `getRiser()`
  - `setRiser(RiserType)`

### getRiserOutline

ColorDefinition getRiserOutline()
Returns the value of the 'Riser Outline' containment reference. Defines the color to be used for the Riser outline.

Returns:
  the value of the 'Riser Outline' containment reference.
See Also:
  - `setRiserOutline(ColorDefinition)`
  - `TypePackage.getBarSeries_RiserOutline()`

### setRiserOutline

void setRiserOutline(ColorDefinition value)
Sets the value of the '`Riser Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Riser Outline' containment reference.
See Also:
  - `getRiserOutline()`

### copyInstance

BarSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`